local ItemManager = class("ItemManager", BaseModule)

function ItemManager:getItemIcon(id)
    return GConst.ATLAS_PATH.ICON_ITEM, ConfigManager:getConfig("item")[id].icon
end

function ItemManager:getItemName(id)
    return I18N:getConfig("item")[id].name
end

function ItemManager:getItemDesc(id)
    return I18N:getConfig("item")[id].desc
end

function ItemManager:getItemType(id)
    return I18N:getConfig("item")[id].desc
end

function ItemManager:rspRecoveryNtf(result)
    if result and result.id == GConst.ItemConst.ITEM_ID_VIT then
        if result.count and result.count > 0 then
            BIReport:postVitGet(result.count, BIReport.ITEM_GET_TYPE.OFFLINE_RECOVERY)
        end
    end
end

return ItemManager